# llvm-tblgen - Target Description to C++ Code for LLVM

## SYNOPSIS

llvm-tblgen [options] [filename]

## DESCRIPTION

llvm-tblgen is a program that translates compiler-related target description (`.td`) files into C++ code and other output formats. Most users of LLVM will not need to use this program. It is used only for writing parts of the compiler.

Please see tblgen - Description to C++ Code for a description of the filename argument and options, including the options common to all *-tblgen programs.